Bug 1386221 - System fails to boot successfully when "Encrypt my data" is selected during installation
Summary: System fails to boot successfully when "Encrypt my data" is selected during i...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker F26s390x
TreeView+ depends on / blocked
 
Reported: 2016-10-18 12:40 UTC by Sinny Kumari
Modified: 2017-12-12 10:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:53:59 UTC
Type: Bug


Attachments (Terms of Use)
s390x boot error message (26.78 KB, image/png)
2016-10-18 12:40 UTC, Sinny Kumari
no flags Details
complete boot log (100.28 KB, text/plain)
2016-10-21 07:03 UTC, Sinny Kumari
no flags Details
anaconda.log (96.94 KB, text/plain)
2016-10-21 10:45 UTC, Sinny Kumari
no flags Details
storage.log (599.89 KB, text/plain)
2016-10-21 10:46 UTC, Sinny Kumari
no flags Details
syslog (486.83 KB, text/plain)
2016-10-21 10:47 UTC, Sinny Kumari
no flags Details
dnf.librepo.log (490.73 KB, text/plain)
2016-10-21 10:48 UTC, Sinny Kumari
no flags Details
packaging.log (117.15 KB, text/plain)
2016-10-21 10:50 UTC, Sinny Kumari
no flags Details
program.log (157.33 KB, text/plain)
2016-10-21 10:50 UTC, Sinny Kumari
no flags Details
ifcfg.log (1.86 KB, text/plain)
2016-10-21 10:51 UTC, Sinny Kumari
no flags Details

Description Sinny Kumari 2016-10-18 12:40:09 UTC
Created attachment 1211708 [details]
s390x boot error message

Description of problem:
Installed F25 nightly composes with "Encrypt my data" enabled. Installation completed successfully. Now, when I boot freshly installed machine it doesn't ask for passphrase. Failure message displayed in console is something like:
Dependency failed for Cryptography Setup for luks-none
Dependency failed for Encrypted volumes

Steps to Reproduce:
1. Install any F25, s390x nightly compose from (http://s390.koji.fedoraproject.org/compose/branched/
2. In anaconda installer GUI, in Installation Destination section select "Encrypt my data"
3. After successful installation, reboot system and issue will be appear

Additional info:
* Also reproducible with Fedora rawhide composes - http://s390.koji.fedoraproject.org/compose/rawhide/
* F24 works fine
* Screenshot of failure message is available in the bugzilla attachment

Comment 1 Sinny Kumari 2016-10-21 07:03:59 UTC
Created attachment 1212707 [details]
complete boot log

Here is the complete log captured through x3270 terminal emulator of booting process after install of F25 nightly compose.

Comment 2 Dan Horák 2016-10-21 07:25:29 UTC
Timed out waiting for device dev-disk-by\x2duuid-None.device.
^^ looks like the cause, especially the "None" string

Comment 3 Sinny Kumari 2016-10-21 10:45:36 UTC
Created attachment 1212783 [details]
anaconda.log

Yes, it seems uuid value is not getting set properly.

Following from anaconda.log also says same:
bootloader.py: used boot args: root=/dev/mapper/fedora-root rd.dasd=0.0.0200 rd.dasd=0.0.0201 rd.dasd=0.0.0202 rd.dasd=0.0.0203 rd.dasd=0.0.0204 rd.dasd=0.0.0205 rd.dasd=0.0.0206 rd.dasd=0.0.0207 rd.lvm.lv=fedora/root rd.luks.uuid=luks-None rd.lvm.lv=fedora/swap cio_ignore=all,!condev rd.znet=qeth,0.0.0800,0.0.0801,0.0.0802,layer2=0,portno=0

In case someone want to look, I am attaching different logs generated during installation process

Comment 4 Sinny Kumari 2016-10-21 10:46:29 UTC
Created attachment 1212784 [details]
storage.log

Comment 5 Sinny Kumari 2016-10-21 10:47:30 UTC
Created attachment 1212785 [details]
syslog

Comment 6 Sinny Kumari 2016-10-21 10:48:30 UTC
Created attachment 1212786 [details]
dnf.librepo.log

Comment 7 Sinny Kumari 2016-10-21 10:50:00 UTC
Created attachment 1212787 [details]
packaging.log

Comment 8 Sinny Kumari 2016-10-21 10:50:47 UTC
Created attachment 1212788 [details]
program.log

Comment 9 Sinny Kumari 2016-10-21 10:51:58 UTC
Created attachment 1212789 [details]
ifcfg.log

Comment 10 Łukasz Posadowski 2016-10-23 08:04:46 UTC
Confirmed on Rawhide. On kernel-4.9.0-0.rc1.git1.1.fc26.x86_64 it works fine. On newer ones (kernel-4.9.0-0.rc1.git4.1.fc26.x86_64 and kernel-4.9.0-0.rc0.git9.1.fc26.x86_64) it won't even ask for a password.

Comment 11 Łukasz Posadowski 2016-10-31 06:30:54 UTC
Works for me now. Thanks.

Comment 12 Fedora End Of Life 2017-11-16 19:06:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-12-12 10:53:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.